Skip to main content

13) Adding Hidden Information to Office Documents

Add Hidden Information to Office Documents

Supported Extensions
  • Word : doc, docx, docm, dot, dotx, dotm, rtf, odt
  • Excel : xls, xlsx, xlsm, xlt, xltx, xltm, xlsb, xlam, ods
  • PowerPoint : ppt, pptx, pptm, pot, potx, potm, pps, ppsx, ppsm, odp

API

MethodURL
POST/api/add/customProperties

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringEnter the issued license in the integration app management menu of the SHIELDRM admin page.
jsonObjrequiredstringDocument Information (String in JSON format)
jsonObj
NameRequiredTypeDescription
filePathrequiredstringTarget document path
inforequiredjsonArrayList of additional hidden information
    propertiesKeyrequiredstringhidden information key
    propertyValuerequiredstringhidden information value
- Stored using base64 encoding

Response

NameTypeDescription
codeint0 : Success
Other values: Error
messagestringError message on failure

Examples

Request

  • Body
{
"licenseKey": "EFBB-029BD-F155-7F13E",
"jsonObj": "{\"filePath\":\"/opt/shieldrm/data/test/none.xlsx\",\"info\":[{\"propertiesKey\":\"newKey\",\"propertyValue\":\"new\"}]}"
}

Response

  • success
{
"code": 0
}
  • failure
  • Status code : 200 OK
[지원하지 않는 확장자]
{
"code": -1,
"message": "Unsupported file type: /opt/shieldrm/data/test/none.txt"
}

[AIP 문서일 경우]
{
"code": -1,
"message": "Permission is required to open this file."
}
{
"code": -1,
"message": "Unknown file format."
}

[DS 문서일 경우]
{
"code": -1,
"message": "zip END header not found"
}
{
"code": -1,
"message": "Unsupported file format: Unknown"
}

  • Status code : 401 UNAUTHORIZED
{
"code": 40101,
"message": "{\"code\":40107,\"message\":\"No matching license found\",\"detail\":\"License skms_connector_info information is empty.\"}"
}